---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libcm03t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x4044, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5A7E8, symBinAddr: 0x10228, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5C728, symBinAddr: 0x12168, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5CB10, symBinAddr: 0x12550, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5DAB0, symBinAddr: 0x134F0, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5DAB8, symBinAddr: 0x134F8, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0x12168, symBinAddr: 0x100A0, symSize: 0x0 }
  - { offsetInCU: 0xBBE, offset: 0xBBE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x5A428, symBinAddr: 0x100A8, symSize: 0x0 }
  - { offsetInCU: 0xBC9, offset: 0xBC9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x5A42C, symBinAddr: 0x100AC, symSize: 0x0 }
  - { offsetInCU: 0xBD4, offset: 0xBD4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x5A430, symBinAddr: 0x100B0, symSize: 0x0 }
  - { offsetInCU: 0xC19, offset: 0xC19, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x5A580, symBinAddr: 0x100B8, symSize: 0x0 }
  - { offsetInCU: 0xC92, offset: 0xC92, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x5A638, symBinAddr: 0x10170, symSize: 0x0 }
  - { offsetInCU: 0xCB0, offset: 0xCB0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5A63C, symBinAddr: 0x10174, symSize: 0x0 }
  - { offsetInCU: 0xCC9, offset: 0xCC9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x5A640, symBinAddr: 0x10178, symSize: 0x0 }
  - { offsetInCU: 0xCE2, offset: 0xCE2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5A644, symBinAddr: 0x1017C, symSize: 0x0 }
  - { offsetInCU: 0xCFB, offset: 0xCFB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x5A648, symBinAddr: 0x10180, symSize: 0x0 }
  - { offsetInCU: 0x92C1, offset: 0x92C1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x5A650, symBinAddr: 0x10188, symSize: 0x0 }
  - { offsetInCU: 0x934A, offset: 0x934A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x5A660, symBinAddr: 0x10198, symSize: 0x0 }
  - { offsetInCU: 0x9363, offset: 0x9363, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x5A668, symBinAddr: 0x101A0, symSize: 0x0 }
  - { offsetInCU: 0x937C, offset: 0x937C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x5A670, symBinAddr: 0x101A8, symSize: 0x0 }
  - { offsetInCU: 0x9395, offset: 0x9395, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x5A678, symBinAddr: 0x101B0, symSize: 0x0 }
  - { offsetInCU: 0x93AE, offset: 0x93AE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x5A680, symBinAddr: 0x101B8, symSize: 0x0 }
  - { offsetInCU: 0x93C8, offset: 0x93C8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x5A688, symBinAddr: 0x101C0, symSize: 0x0 }
  - { offsetInCU: 0x94AE, offset: 0x94AE, size: 0x8, addend: 0x0, symName: __ZL25ExceptionCatchEventsCount, symObjAddr: 0x5A6CC, symBinAddr: 0x101CC, symSize: 0x0 }
  - { offsetInCU: 0x94C7, offset: 0x94C7, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x5A6D0, symBinAddr: 0x101D0, symSize: 0x0 }
  - { offsetInCU: 0x94E0, offset: 0x94E0, size: 0x8, addend: 0x0, symName: __ZL11klass_bytes, symObjAddr: 0x5A710, symBinAddr: 0x101D8, symSize: 0x0 }
  - { offsetInCU: 0x94F9, offset: 0x94F9, size: 0x8, addend: 0x0, symName: __ZL16klass_byte_count, symObjAddr: 0x5A718, symBinAddr: 0x101E0, symSize: 0x0 }
  - { offsetInCU: 0x9512, offset: 0x9512, size: 0x8, addend: 0x0, symName: __ZL22FieldAccessEventsCount, symObjAddr: 0x5A71C, symBinAddr: 0x101E4, symSize: 0x0 }
  - { offsetInCU: 0x952B, offset: 0x952B, size: 0x8, addend: 0x0, symName: __ZL5klass, symObjAddr: 0x5A720, symBinAddr: 0x101E8, symSize: 0x0 }
  - { offsetInCU: 0x9544, offset: 0x9544, size: 0x8, addend: 0x0, symName: __ZL28FieldModificationEventsCount, symObjAddr: 0x5A728, symBinAddr: 0x101F0, symSize: 0x0 }
  - { offsetInCU: 0x955D, offset: 0x955D, size: 0x8, addend: 0x0, symName: __ZL21SingleStepEventsCount, symObjAddr: 0x5A72C, symBinAddr: 0x101F4, symSize: 0x0 }
  - { offsetInCU: 0x9576, offset: 0x9576, size: 0x8, addend: 0x0, symName: __ZL20ExceptionEventsCount, symObjAddr: 0x5A730, symBinAddr: 0x101F8, symSize: 0x0 }
  - { offsetInCU: 0x958F, offset: 0x958F, size: 0x8, addend: 0x0, symName: __ZL21BreakpointEventsCount, symObjAddr: 0x5A734, symBinAddr: 0x101FC, symSize: 0x0 }
  - { offsetInCU: 0x95A8, offset: 0x95A8, size: 0x8, addend: 0x0, symName: __ZL19FramePopEventsCount, symObjAddr: 0x5A738, symBinAddr: 0x10200, symSize: 0x0 }
  - { offsetInCU: 0x95C1, offset: 0x95C1, size: 0x8, addend: 0x0, symName: __ZL22MethodEntryEventsCount, symObjAddr: 0x5A73C, symBinAddr: 0x10204, symSize: 0x0 }
  - { offsetInCU: 0x95DA, offset: 0x95DA, size: 0x8, addend: 0x0, symName: __ZL21MethodExitEventsCount, symObjAddr: 0x5A740, symBinAddr: 0x10208, symSize: 0x0 }
  - { offsetInCU: 0x95F3, offset: 0x95F3, size: 0x8, addend: 0x0, symName: __ZL6method, symObjAddr: 0x5A750, symBinAddr: 0x10218, symSize: 0x0 }
  - { offsetInCU: 0x960C, offset: 0x960C, size: 0x8, addend: 0x0, symName: __ZL5field, symObjAddr: 0x5A758, symBinAddr: 0x10220, symSize: 0x0 }
  - { offsetInCU: 0x9625, offset: 0x9625, size: 0x8, addend: 0x0, symName: __ZL6thread, symObjAddr: 0x5A748, symBinAddr: 0x10210, symSize: 0x0 }
  - { offsetInCU: 0x9677, offset: 0x9677, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3008, symSize: 0xA0 }
  - { offsetInCU: 0x970C, offset: 0x970C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2FE0, symSize: 0x28 }
  - { offsetInCU: 0x976F, offset: 0x976F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2F60, symSize: 0x80 }
  - { offsetInCU: 0x9A03, offset: 0x9A03, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x30A8, symSize: 0x34 }
  - { offsetInCU: 0x9A5D, offset: 0x9A5D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x30DC, symSize: 0x20C }
  - { offsetInCU: 0x9C16, offset: 0x9C16, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x32E8, symSize: 0x28 }
  - { offsetInCU: 0x9CDF, offset: 0x9CDF, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3310, symSize: 0xB0 }
  - { offsetInCU: 0x9DD6, offset: 0x9DD6, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x33C0, symSize: 0xD8 }
  - { offsetInCU: 0x9F27, offset: 0x9F27, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3498, symSize: 0x24 }
  - { offsetInCU: 0xA062, offset: 0xA062, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x34BC, symSize: 0x168 }
  - { offsetInCU: 0xA23E, offset: 0xA23E, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3624, symSize: 0x104 }
  - { offsetInCU: 0xA4EF, offset: 0xA4EF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x3728, symSize: 0x3F8 }
  - { offsetInCU: 0xA713, offset: 0xA713, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3B20, symSize: 0x154 }
  - { offsetInCU: 0xA8F7, offset: 0xA8F7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3C74, symSize: 0xAC }
  - { offsetInCU: 0xAA24, offset: 0xAA24, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3D20, symSize: 0x14 }
  - { offsetInCU: 0xAA5D, offset: 0xAA5D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3D34, symSize: 0x14 }
  - { offsetInCU: 0xAA96, offset: 0xAA96, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3D48, symSize: 0x14 }
  - { offsetInCU: 0xAC97, offset: 0xAC97, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3D5C, symSize: 0x1A8 }
  - { offsetInCU: 0xAFA1, offset: 0xAFA1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3F04, symSize: 0x140 }
  - { offsetInCU: 0xB142, offset: 0xB142, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x42B4, symSize: 0x1C0 }
  - { offsetInCU: 0xB41F, offset: 0xB41F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4474, symSize: 0x9C }
  - { offsetInCU: 0xB4DC, offset: 0xB4DC, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4510, symSize: 0x690 }
  - { offsetInCU: 0xC06E, offset: 0xC06E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xC678, symBinAddr: 0x8C54, symSize: 0x30 }
  - { offsetInCU: 0xC0FA, offset: 0xC0FA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4BA0, symSize: 0x74 }
  - { offsetInCU: 0xC246, offset: 0xC246, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4C14, symSize: 0xB0 }
  - { offsetInCU: 0xC371, offset: 0xC371, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4CC4, symSize: 0x3C }
  - { offsetInCU: 0xC467, offset: 0xC467, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4D00, symSize: 0x29C }
  - { offsetInCU: 0xC7AA, offset: 0xC7AA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x4F9C, symSize: 0xD0 }
  - { offsetInCU: 0xC8D8, offset: 0xC8D8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x506C, symSize: 0xC }
  - { offsetInCU: 0xC99A, offset: 0xC99A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5078, symSize: 0x22C }
  - { offsetInCU: 0xCC55, offset: 0xCC55, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x52A4, symSize: 0x4 }
  - { offsetInCU: 0xCC99, offset: 0xCC99, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x52A4, symSize: 0x4 }
  - { offsetInCU: 0xCCB2, offset: 0xCCB2, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x52A8, symSize: 0x534 }
  - { offsetInCU: 0xD304, offset: 0xD304, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9200, symBinAddr: 0x57DC, symSize: 0x4 }
  - { offsetInCU: 0xD348, offset: 0xD348, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9200, symBinAddr: 0x57DC, symSize: 0x4 }
  - { offsetInCU: 0xD381, offset: 0xD381, size: 0x8, addend: 0x0, symName: _ExceptionCatch, symObjAddr: 0x9204, symBinAddr: 0x57E0, symSize: 0x174 }
  - { offsetInCU: 0xD583, offset: 0xD583, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0x9378, symBinAddr: 0x5954, symSize: 0x184 }
  - { offsetInCU: 0xD7F7, offset: 0xD7F7, size: 0x8, addend: 0x0, symName: __ZL11FieldAccessP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlP7_jclassS4_P9_jfieldID, symObjAddr: 0x94FC, symBinAddr: 0x5AD8, symSize: 0x198 }
  - { offsetInCU: 0xDA7A, offset: 0xDA7A, size: 0x8, addend: 0x0, symName: __ZL17FieldModificationP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlP7_jclassS4_P9_jfieldIDc6jvalue, symObjAddr: 0x9694, symBinAddr: 0x5C70, symSize: 0x128 }
  - { offsetInCU: 0xDC83, offset: 0xDC83, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x97BC, symBinAddr: 0x5D98, symSize: 0x17C }
  - { offsetInCU: 0xDEE5, offset: 0xDEE5, size: 0x8, addend: 0x0, symName: __ZL9ExceptionP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlS4_S6_l, symObjAddr: 0x9938, symBinAddr: 0x5F14, symSize: 0x174 }
  - { offsetInCU: 0xE12C, offset: 0xE12C, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x9AAC, symBinAddr: 0x6088, symSize: 0x13C }
  - { offsetInCU: 0xE335, offset: 0xE335, size: 0x8, addend: 0x0, symName: __ZL8FramePopP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh, symObjAddr: 0x9BE8, symBinAddr: 0x61C4, symSize: 0x120 }
  - { offsetInCU: 0xE4F7, offset: 0xE4F7, size: 0x8, addend: 0x0, symName: __ZL11MethodEntryP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodID, symObjAddr: 0x9D08, symBinAddr: 0x62E4, symSize: 0x120 }
  - { offsetInCU: 0xE6B8, offset: 0xE6B8, size: 0x8, addend: 0x0, symName: __ZL10MethodExitP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh6jvalue, symObjAddr: 0x9E28, symBinAddr: 0x6404, symSize: 0x120 }
  - { offsetInCU: 0xF145, offset: 0xF145, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F48, symBinAddr: 0x6524, symSize: 0x2730 }
  - { offsetInCU: 0x1229C, offset: 0x1229C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC6A8, symBinAddr: 0x8C84, symSize: 0x358 }
...
